## librtas 1.3.6

=== Makefile ===
#
# Makefile for librtas
#

include rules.mk

.SILENT:

FILES = README COPYRIGHT
SUBDIRS = librtas_src librtasevent_src libofdt_src

TARBALL_FILES += $(FILES) doxygen.rtas doxygen.rtasevent Changelog

all:
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d;) 
	# Update spec file for build type
	@sed "s|\@LIB_DIR\@|$(LIB_DIR)$(call is_lib64,librtas_src/librtas.so.$(VERSION))|g" $(SPECFILE_IN) > $(SPECFILE)

install:
	@$(call install_doc,$(FILES),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d install;) 

uninstall:
	@$(call uninstall_doc,$(FILES),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall;) 

rpm: all
	@echo "Creating rpm..."
	@export DESTDIR=$(SHIPDIR); $(MAKE) install
	@rm $(SHIPDIR)$(LIB_DIR)$(call is_lib64,librtas_src/librtas.so.$(VERSION))/librtas.so
	@rm $(SHIPDIR)$(LIB_DIR)$(call is_lib64,librtasevent_src/librtasevent.so.$(VERSION))/librtasevent.so
	@rm $(SHIPDIR)$(LIB_DIR)$(call is_lib64,libofdt_src/libofdt.so.$(VERSION))/libofdt.so
	@$(RPM) -bb $(SPECFILE)
	@rm -rf $(SHIPDIR)

doc:	
	@echo "Creating doxygen documents..."
	@mkdir -p doc/librtasevent
	@mkdir -p doc/librtas
	@mkdir -p doc/libofdt
	@$(DOXYGEN) doxygen.rtas
	@$(DOXYGEN) doxygen.rtasevent
	@$(DOXYGEN) doxygen.ofdt

tarball: clean
	@echo "Creating release tarball..."
	@$(BUILD_TARBALL)

devball: clean
	@echo "Creating snapshot tarball..."
	@$(BUILD_DEVBALL)

clean:
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;) 
	@$(CLEAN) $(SHIPDIR) $(TARBALL) $(DEVBALL) $(SPECFILE) doc

=== debian/changelog ===
librtas (1.3.6-1) unstable; urgency=low

  * Initial release.  (Closes: #386676)

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 26 Jun 2012 23:57:57 +0200

=== debian/control ===
Source: librtas
Maintainer: Aurelien Jarno <aurel32@debian.org>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Homepage: http://librtas.sourceforge.net

Package: librtas1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace RTAS library
 This library allows user-space programs to make Run-Time Abstraction
 Services (RTAS) calls which provide support for low-level system
 hardware configuration and operations, such as retrieving hardware
 sensor (temperature, fan speed, etc.) data, setting the operator
 panel LEDs, getting hardware error logs, injecting artificial
 hardware errors (for testing), getting VPD (Vital Product Data), and
 loading new firmware.

Package: librtas-dev
Architecture: any
Section: libdevel
Depends: librtas1 (= ${binary:Version}), ${misc:Depends}
Description: userspace RTAS library development files
 This library allows user-space programs to make Run-Time Abstraction
 Services (RTAS) calls which provide support for low-level system
 hardware configuration and operations, such as retrieving hardware
 sensor (temperature, fan speed, etc.) data, setting the operator
 panel LEDs, getting hardware error logs, injecting artificial
 hardware errors (for testing), getting VPD (Vital Product Data), and
 loading new firmware.
 .
 This package contains the static library and header files used in
 development.

Package: librtasevent1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RTAS events library
 This library provides a set of definitions and useful routines
 for analyzing RTAS events, such as parsing out sections of an RTAS
 event and printing their contents.

Package: librtasevent-dev
Architecture: any
Section: libdevel
Depends: librtasevent1 (= ${binary:Version}), ${misc:Depends}
Description: RTAS events library development files
 This library provides a set of definitions and useful routines
 for analyzing RTAS events, such as parsing out sections of an RTAS
 event and printing their contents.
 .
 This package contains the static library and header files used in
 development.

Package: libofdt1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: device-tree parsing library
 This library provide an API to read values and parse data from
 /proc/device-tree, that is used to export most of the hardware
 bindings and values.

Package: libofdt-dev
Architecture: any
Section: libdevel
Depends: libofdt1 (= ${binary:Version}), ${misc:Depends}
Description: device-tree parsing library development files
 This library provide an API to read values and parse data from
 /proc/device-tree, that is used to export most of the hardware
 bindings and values.
 .
 This package contains the static library and header files used in
 development.

## librtas 1.3.10

=== librtasevent_src/Makefile ===
#
# Makefile for librtasevent_src
#
# Copyright (C) 2005 IBM Corporation
# Common Public License Version 1.0 (see COPYRIGHT)
#

include ../rules.mk

LIBRE_SONAME = librtasevent.so
LIBRE = $(LIBRE_SONAME).$(VERSION)

LIBRE_OBJS = get_rtas_event.o print_rtas_event.o rtas_cpu.o rtas_dump.o	\
	     rtas_epow.o rtas_io.o rtas_lri.o rtas_mem.o rtas_post.o	\
	     rtas_sp.o rtas_srcfru.o rtas_v6_misc.o rtas_vend.o rtas_hotplug.o

LIBRE_HDRS = librtasevent.h librtasevent_v4.h librtasevent_v6.h
HEADERS = $(LIBRE_HDRS) rtas_event.h

CFLAGS += -fPIC -DPIC -I.
LDFLAGS += -shared -Wl,-soname -Wl,$(LIBRE_SONAME).$(MAJOR_NO)

all: $(LIBRE_OBJS) $(HEADERS)
	@echo "LD librtasevent_src/$(LIBRE)..."
	@$(CC) $(LIBRE_OBJS) $(LDFLAGS) -o $(LIBRE)

install:
	@$(call install_lib,$(LIBRE),$(DESTDIR))
	@$(call install_inc,$(LIBRE_HDRS),$(DESTDIR))
	@ln -sf $(LIBRE) $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRE))/$(LIBRE_SONAME)
	@ln -sf $(LIBRE) $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRE))/$(LIBRE_SONAME).1

uninstall:
	@$(call uninstall_lib,$(LIBRE),$(DESTDIR))
	@$(call uninstall_inc,$(LIBRE_HDRS),$(DESTDIR))
	@rm -f $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRE))/$(LIBRE_SONAME)

clean:
	@echo "Cleaning up $(WORK_DIR) files..."
	@rm -f $(LIBRE_OBJS) $(LIBRE_SONAME) $(LIBRE)

=== debian/changelog ===
librtas (1.3.10-0ubuntu2) trusty; urgency=medium

  * Arch-restrict to powerpc/ppc64/ppc64el, nothing else uses this lib.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 05 Apr 2014 05:47:02 -0600

librtas (1.3.10-0ubuntu1) trusty; urgency=medium

  * New upstream release, with more little-endian fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 23 Mar 2014 11:36:50 -0600

librtas (1.3.9-0ubuntu1) trusty; urgency=medium

  * New upstream release, fixing endian issues with device tree.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 12 Mar 2014 13:42:14 -0600

librtas (1.3.8-0ubuntu1) trusty; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2014 11:43:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: librtas
-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
 Section: libs
 Priority: extra
 Build-Depends: debhelper (>= 7)
@@ -7,7 +8,7 @@
 Homepage: http://librtas.sourceforge.net
 
 Package: librtas1
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -21,7 +22,7 @@
  loading new firmware.
 
 Package: librtas-dev
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libdevel
 Depends: librtas1 (= ${binary:Version}), ${misc:Depends}
 Description: userspace RTAS library development files
@@ -37,7 +38,7 @@
  development.
 
 Package: librtasevent1
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -47,7 +48,7 @@
  event and printing their contents.
 
 Package: librtasevent-dev
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libdevel
 Depends: librtasevent1 (= ${binary:Version}), ${misc:Depends}
 Description: RTAS events library development files
@@ -59,7 +60,7 @@
  development.
 
 Package: libofdt1
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -69,7 +70,7 @@
  bindings and values.
 
 Package: libofdt-dev
-Architecture: any
+Architecture: powerpc ppc64 ppc64el
 Section: libdevel
 Depends: libofdt1 (= ${binary:Version}), ${misc:Depends}
 Description: device-tree parsing library development files

## librtas 1.3.12

=== debian/changelog ===
librtas (1.3.12-1) unstable; urgency=medium

  * New upstream release, with more little-endian fixes (LP: #1359421)

 -- Adam Conrad <adconrad@0c3.net>  Tue, 26 Aug 2014 12:25:56 -0600

librtas (1.3.11-1) unstable; urgency=medium

  * New upstream release, with more fixes for little-endian hosts:
    - debian/patches/04_bashisms.patch: Dropped, merged upstream.
  * debian/librtasevent1.symbols: Adjust for new symbols in .9/.10

 -- Adam Conrad <adconrad@0c3.net>  Sat, 28 Jun 2014 19:59:28 -0600

librtas (1.3.10-1) unstable; urgency=medium

  * Soft highjack with the previous maintainer's consent (thanks, Aurelien)
    - Changing maintainer to me, and adding Frederic Bonnard as an uploader
      to annotate the intention of IBM to comaintain this package in future
  * Import changes from Ubuntu, with new upstream updates (Closes: #744946)
  * Add debian/watch file from qa.debian.org to track new upstream versions
  * Clean up some lintian warnings, and bump our Standards-Version to 3.9.5

 -- Adam Conrad <adconrad@0c3.net>  Wed, 07 May 2014 10:08:38 -0600

## librtas 1.3.13

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 FILES = README COPYRIGHT
 SUBDIRS = librtas_src librtasevent_src libofdt_src
 
-TARBALL_FILES += $(FILES) doxygen.rtas doxygen.rtasevent Changelog
+TARBALL_FILES += $(FILES) doc/doxygen.rtas doc/doxygen.rtasevent Changelog
 
 all:
 	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d;) 
@@ -33,14 +33,12 @@
 	@$(RPM) -bb $(SPECFILE)
 	@rm -rf $(SHIPDIR)
 
-doc:	
+docs:	
 	@echo "Creating doxygen documents..."
 	@mkdir -p doc/librtasevent
 	@mkdir -p doc/librtas
-	@mkdir -p doc/libofdt
-	@$(DOXYGEN) doxygen.rtas
-	@$(DOXYGEN) doxygen.rtasevent
-	@$(DOXYGEN) doxygen.ofdt
+	@$(DOXYGEN) doc/doxygen.rtas
+	@$(DOXYGEN) doc/doxygen.rtasevent
 
 tarball: clean
 	@echo "Creating release tarball..."
@@ -52,4 +50,6 @@
 
 clean:
 	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;) 
-	@$(CLEAN) $(SHIPDIR) $(TARBALL) $(DEVBALL) $(SPECFILE) doc
+	@echo "Cleaning up doxygen files..."
+	@rm -rf doc/librtas doc/librtasevent
+	@$(CLEAN) $(SHIPDIR) $(TARBALL) $(DEVBALL) $(SPECFILE)

=== libofdt_src/Makefile ===

#
# Makefile for libofdt
#
# Copyright (C) 2005 IBM Corporation
# Common Public License Version 1.0 (see COPYRIGHT)
#

include ../rules.mk

LIBOFDT_SONAME = libofdt.so
LIBOFDT = $(LIBOFDT_SONAME).$(VERSION)

LIBOFDT_OBJS = dtree.o drc.o

LIBOFDT_HDRS = libofdt.h common.h
LIBOFDT_SHIP_HDR = libofdt.h

CFLAGS += -fPIC -DPIC
LDFLAGS += -shared -Wl,-soname -Wl,$(LIBOFDT_SONAME).$(MAJOR_NO)

all: $(LIBOFDT_OBJS) $(LIBOFDT_HDRS)
	@echo "LD $(WORK_DIR)/$(LIBOFDT)..."
	@$(CC) $(LIBOFDT_OBJS) $(LDFLAGS) -o $(LIBOFDT)

install:
	@$(call install_lib,$(LIBOFDT),$(DESTDIR))
	@$(call install_inc,$(LIBOFDT_SHIP_HDR),$(DESTDIR))
	@ln -sf $(LIBOFDT) $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBOFDT))/$(LIBOFDT_SONAME)

uninstall:
	@$(call uninstall_lib,$(LIBOFDT),$(DESTDIR))
	@$(call uninstall_inc,$(LIBOFDT_SHIP_HDR),$(DESTDIR))
	@rm -f $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBOFDT))/$(LIBOFDT_SONAME)

clean:
	@echo "Cleaning up $(WORK_DIR) files..."
	@rm -f $(LIBOFDT_OBJS) $(LIBOFDT)

=== librtas_src/Makefile ===
#
# Makefile for librtas
#
# Copyright (C) 2005 IBM Corporation
# Common Public License Version 1.0 (see COPYRIGHT)
#

include ../rules.mk

LIBRTAS_SONAME = librtas.so
LIBRTAS_STATIC = librtas.a
LIBRTAS = $(LIBRTAS_SONAME).$(VERSION)

LIBRTAS_OBJS = common.o ofdt.o syscall_calls.o syscall_rmo.o procfs_calls.o

LIBRTAS_HDR = librtas.h
HEADERS	= $(LIBRTAS_HDR) common.h

CFLAGS += -fPIC -DPIC
LDFLAGS += -shared -Wl,-soname -Wl,$(LIBRTAS_SONAME).$(MAJOR_NO)

all: librtas_shared librtas_static

librtas_shared: $(LIBRTAS_OBJS) $(HEADERS)
	@echo "LD $(WORK_DIR)/$(LIBRTAS)..."
	@$(CC) $(LIBRTAS_OBJS) $(LDFLAGS) -o $(LIBRTAS)

librtas_static: $(LIBRTAS_OBJS) $(HEADERS)
	@echo "AR $(LIBRTAS_STATIC)..."
	@ar rcs $(LIBRTAS_STATIC) $(LIBRTAS_OBJS)

install:
	@$(call install_lib,$(LIBRTAS),$(DESTDIR))
	@$(call install_inc,$(HEADERS),$(DESTDIR))
	@ln -sf $(LIBRTAS) $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRTAS))/$(LIBRTAS_SONAME)

uninstall:
	@$(call uninstall_lib,$(LIBRTAS),$(DESTDIR))
	@$(call uninstall_inc,$(LIBRTAS_HDR),$(DESTDIR))
	@rm -f $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRTAS))/$(LIBRTAS_SONAME)

clean:
	@echo "Cleaning up $(WORK_DIR) files..."
	@rm -f $(LIBRTAS_OBJS) $(LIBRTAS) $(LIBRTAS_STATIC)

=== debian/changelog ===
librtas (1.3.13-1~14.04) trusty; urgency=medium

  * Straight backport to trusty for ppc64el hardware enablement.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 16 Jan 2015 09:28:42 -0700

librtas (1.3.13-1) unstable; urgency=medium

  * New upstream release, with even more LE fixes (LP: #1391322)
  * debian/librtasevent1.symbols: Update for new 1.3.13 symbols.

 -- Adam Conrad <adconrad@0c3.net>  Thu, 15 Jan 2015 08:23:08 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: librtas
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Adam Conrad <adconrad@0c3.net>
+Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
 Section: libs
 Priority: extra
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://librtas.sourceforge.net
 
 Package: librtas1
 Architecture: powerpc ppc64 ppc64el
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: userspace RTAS library
@@ -39,7 +38,6 @@
 
 Package: librtasevent1
 Architecture: powerpc ppc64 ppc64el
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: RTAS events library
@@ -61,7 +59,6 @@
 
 Package: libofdt1
 Architecture: powerpc ppc64 ppc64el
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: device-tree parsing library

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_MULTIARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

# Get flags from dpkg-buildflags
CPPFLAGS                = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS                  = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS                 = $(shell dpkg-buildflags --get LDFLAGS)

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	CFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	touch $@

build-indep:
# We have nothing to do by default.

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	rm -f *-stamp
	dh_clean

install: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install --sourcedir=debian/tmp

# Build architecture-dependent files here.
binary-arch: build-indep install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs Changelog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build-indep install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/librtas/librtas[_\-]v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## librtas 2.0.0

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 .SILENT:
 
-FILES = README COPYRIGHT
-SUBDIRS = librtas_src librtasevent_src libofdt_src
+FILES = README COPYING.LESSER
+SUBDIRS = librtas_src librtasevent_src
 
 TARBALL_FILES += $(FILES) doc/doxygen.rtas doc/doxygen.rtasevent Changelog
 
@@ -29,7 +29,6 @@
 	@export DESTDIR=$(SHIPDIR); $(MAKE) install
 	@rm $(SHIPDIR)$(LIB_DIR)$(call is_lib64,librtas_src/librtas.so.$(VERSION))/librtas.so
 	@rm $(SHIPDIR)$(LIB_DIR)$(call is_lib64,librtasevent_src/librtasevent.so.$(VERSION))/librtasevent.so
-	@rm $(SHIPDIR)$(LIB_DIR)$(call is_lib64,libofdt_src/libofdt.so.$(VERSION))/libofdt.so
 	@$(RPM) -bb $(SPECFILE)
 	@rm -rf $(SHIPDIR)

=== librtas_src/Makefile ===
--- 
+++ 
@@ -2,8 +2,20 @@
 # Makefile for librtas
 #
 # Copyright (C) 2005 IBM Corporation
-# Common Public License Version 1.0 (see COPYRIGHT)
 #
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
 include ../rules.mk
 
@@ -11,10 +23,10 @@
 LIBRTAS_STATIC = librtas.a
 LIBRTAS = $(LIBRTAS_SONAME).$(VERSION)
 
-LIBRTAS_OBJS = common.o ofdt.o syscall_calls.o syscall_rmo.o procfs_calls.o
+LIBRTAS_OBJS = ofdt.o syscall_calls.o syscall_rmo.o
 
 LIBRTAS_HDR = librtas.h
-HEADERS	= $(LIBRTAS_HDR) common.h
+HEADERS	= $(LIBRTAS_HDR)
 
 CFLAGS += -fPIC -DPIC
 LDFLAGS += -shared -Wl,-soname -Wl,$(LIBRTAS_SONAME).$(MAJOR_NO)
@@ -31,13 +43,17 @@
 
 install:
 	@$(call install_lib,$(LIBRTAS),$(DESTDIR))
+	@$(call install_lib,$(LIBRTAS_STATIC),$(DESTDIR))
 	@$(call install_inc,$(HEADERS),$(DESTDIR))
 	@ln -sf $(LIBRTAS) $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRTAS))/$(LIBRTAS_SONAME)
+	@ln -sf $(LIBRTAS) $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRTAS))/$(LIBRTAS_SONAME).$(MAJOR_NO)
 
 uninstall:
 	@$(call uninstall_lib,$(LIBRTAS),$(DESTDIR))
-	@$(call uninstall_inc,$(LIBRTAS_HDR),$(DESTDIR))
+	@$(call uninstall_lib,$(LIBRTAS_STATIC),$(DESTDIR))
+	@$(call uninstall_inc,$(HEADERS),$(DESTDIR))
 	@rm -f $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRTAS))/$(LIBRTAS_SONAME)
+	@rm -f $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRTAS))/$(LIBRTAS_SONAME).$(MAJOR_NO)
 
 clean:
 	@echo "Cleaning up $(WORK_DIR) files..."

=== librtasevent_src/Makefile ===
#
# Makefile for librtasevent_src
#
# Copyright (C) 2005 IBM Corporation
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

include ../rules.mk

LIBRE_SONAME = librtasevent.so
LIBRE_STATIC = librtasevent.a
LIBRE = $(LIBRE_SONAME).$(VERSION)

LIBRE_OBJS = get_rtas_event.o print_rtas_event.o rtas_cpu.o rtas_dump.o	\
	     rtas_epow.o rtas_io.o rtas_lri.o rtas_mem.o rtas_post.o	\
	     rtas_sp.o rtas_srcfru.o rtas_v6_misc.o rtas_vend.o rtas_hotplug.o

LIBRE_HDRS = librtasevent.h librtasevent_v4.h librtasevent_v6.h
HEADERS = $(LIBRE_HDRS) rtas_event.h

CFLAGS += -fPIC -DPIC -I.
LDFLAGS += -shared -Wl,-soname -Wl,$(LIBRE_SONAME).$(MAJOR_NO)

all: libre_shared libre_static

libre_shared: $(LIBRE_OBJS) $(HEADERS)
	@echo "LD librtasevent_src/$(LIBRE)..."
	@$(CC) $(LIBRE_OBJS) $(LDFLAGS) -o $(LIBRE)

libre_static: $(LIBRE_OBJS) $(HEADERS)
	@echo "AR $(LIBRE_STATIC)..."
	@ar rcs $(LIBRE_STATIC) $(LIBRE_OBJS)

install:
	@$(call install_lib,$(LIBRE),$(DESTDIR))
	@$(call install_lib,$(LIBRE_STATIC),$(DESTDIR))
	@$(call install_inc,$(LIBRE_HDRS),$(DESTDIR))
	@ln -sf $(LIBRE) $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRE))/$(LIBRE_SONAME)
	@ln -sf $(LIBRE) $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRE))/$(LIBRE_SONAME).$(MAJOR_NO)

uninstall:
	@$(call uninstall_lib,$(LIBRE),$(DESTDIR))
	@$(call uninstall_lib,$(LIBRE_STATIC),$(DESTDIR))
	@$(call uninstall_inc,$(LIBRE_HDRS),$(DESTDIR))
	@rm -f $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRE))/$(LIBRE_SONAME)
	@rm -f $(DESTDIR)/$(LIB_DIR)$(call is_lib64,$(LIBRE))/$(LIBRE_SONAME).$(MAJOR_NO)

clean:
	@echo "Cleaning up $(WORK_DIR) files..."
	@rm -f $(LIBRE_OBJS) $(LIBRE_SONAME) $(LIBRE) $(LIBRE_STATIC)

=== debian/changelog ===
librtas (2.0.0-1) unstable; urgency=medium

  * New upstream release, update debian/copyright to LGPL (LP: #1539543)
  * Rewrite debian/watch file to track upstream's move to github/nfont.
  * Update Standards-Version to 3.9.7 and tidy up our lintian warnings.
  * Dtop liboftd1 and libofdt-dev from debian/* as upstream removed it.
  * Pass '-c4' to dh_makeshlibs to force examination of symbol updates.
  * Update debian/compat and debian/control debhelper usages to (>= 9).
  * Drop patches upstream: shlib-symlink, format-security, static-libs.
  * Bump SOVER to 2 and update symbol files to match upstream ABI break.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 06 Apr 2016 09:48:14 -0600

=== debian/control ===
Source: librtas
Maintainer: Adam Conrad <adconrad@0c3.net>
Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.7
Homepage: http://librtas.sourceforge.net

Package: librtas2
Architecture: powerpc ppc64 ppc64el
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace RTAS library
 This library allows user-space programs to make Run-Time Abstraction
 Services (RTAS) calls which provide support for low-level system
 hardware configuration and operations, such as retrieving hardware
 sensor (temperature, fan speed, etc.) data, setting the operator
 panel LEDs, getting hardware error logs, injecting artificial
 hardware errors (for testing), getting VPD (Vital Product Data), and
 loading new firmware.

Package: librtas-dev
Architecture: powerpc ppc64 ppc64el
Section: libdevel
Depends: librtas2 (= ${binary:Version}), ${misc:Depends}
Description: userspace RTAS library development files
 This library allows user-space programs to make Run-Time Abstraction
 Services (RTAS) calls which provide support for low-level system
 hardware configuration and operations, such as retrieving hardware
 sensor (temperature, fan speed, etc.) data, setting the operator
 panel LEDs, getting hardware error logs, injecting artificial
 hardware errors (for testing), getting VPD (Vital Product Data), and
 loading new firmware.
 .
 This package contains the static library and header files used in
 development.

Package: librtasevent2
Architecture: powerpc ppc64 ppc64el
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RTAS events library
 This library provides a set of definitions and useful routines
 for analyzing RTAS events, such as parsing out sections of an RTAS
 event and printing their contents.

Package: librtasevent-dev
Architecture: powerpc ppc64 ppc64el
Section: libdevel
Depends: librtasevent2 (= ${binary:Version}), ${misc:Depends}
Description: RTAS events library development files
 This library provides a set of definitions and useful routines
 for analyzing RTAS events, such as parsing out sections of an RTAS
 event and printing their contents.
 .
 This package contains the static library and header files used in
 development.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/librtas-$1\.tar\.gz/ \
  https://github.com/nfont/librtas/releases .*/v?(\d\S*)\.tar\.gz

## librtas 2.0.3

=== debian/changelog ===
librtas (2.0.3-1) unstable; urgency=medium

  * Update to new upstream version 2.0.3 (Closes: #978490)
  * Adapt packaging to upstream's move to autotools
  * Add new symbol to d/librtas2.symbols

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 08 Jun 2022 11:53:05 +0200

librtas (2.0.0-3) unstable; urgency=medium

  * Put F.Bonnard as new maintainer (Closes: #986952)
  * Upgrade debhelper compatibility version
  * Replace priority extra by optional
  * Simplify d/rules (Closes: #918186)
  * Deal with not installed README and COPYING.LESSER files
  * Keep lintian remind me about upstream gpg signatures
  * Fix misc infos
  * Add Build-Depends-Package field to d/*.symbols
  * Update d/watch according to updated upstream git tree location
  * Add Vcs-* field to d/control
  * Bump Standards-Version to 4.6.0.1

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 02 Jun 2022 17:15:41 +0200

librtas (2.0.0-2) unstable; urgency=medium

  * 02_errinjct.patch: Fix endianess issue with errinjct (LP: #1597363)

 -- Adam Conrad <adconrad@0c3.net>  Mon, 04 Jul 2016 05:50:22 -0600

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: librtas
-Maintainer: Adam Conrad <adconrad@0c3.net>
-Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
+Maintainer: Frédéric Bonnard <frediz@debian.org>
 Section: libs
-Priority: extra
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
-Homepage: http://librtas.sourceforge.net
+Priority: optional
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/librtas.git
+Vcs-Browser: https://salsa.debian.org/debian/librtas
+Homepage: https://github.com/ibm-power-utilities/librtas
 
 Package: librtas2
 Architecture: powerpc ppc64 ppc64el
@@ -56,4 +58,3 @@
  .
  This package contains the static library and header files used in
  development.
-

## librtas 2.0.4

=== debian/changelog ===
librtas (2.0.4-1) unstable; urgency=medium

  * Update to new upstream version 2.0.4.
  * Drop useless librtas.pc
  * Bump Standards-Version
  * Update d/copyright date

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 31 Jan 2023 11:02:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/librtas.git
 Vcs-Browser: https://salsa.debian.org/debian/librtas

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/ibm-power-utilities/librtas/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
